/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

import java.util.List;

public interface CategoryDescriptor
{
  public abstract int getCategoryID();

  public abstract int getNumLevels();

  public abstract int getIDAtLevel(int level);

  public abstract String getTitleAtLevel(int level);

  public abstract List getSubCategories() throws DataException;

  public abstract CategoryDescriptor getSuperCategory(int levels);

  public abstract CategoryDescriptor getParentCategory();

  public abstract int getLinkedCategoryID();

  public abstract boolean isSymbolicLink();

  public abstract CategoryDescriptor getLinkedCategory() throws DataException;

  public abstract boolean equals(Object obj);

  public abstract int hashCode();

  public abstract String toString();

} // end interface CategoryDescriptor
