/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.impl;

import java.util.Date;
import com.silverwrist.venice.core.ActiveUser;

class ActiveUserImpl implements ActiveUser
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private int uid;
  private String name;
  private Date last_read;
  private Date last_write;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  ActiveUserImpl(int uid, String name, Date last_read, Date last_write)
  {
    this.uid = uid;
    this.name = name;
    this.last_read = last_read;
    this.last_write = last_write;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface ActiveUser
   *--------------------------------------------------------------------------------
   */

  public int getUID()
  {
    return uid;

  } // end getUID

  public String getName()
  {
    return name;

  } // end getName

  public Date getLastRead()
  {
    return last_read;

  } // end getLastRead

  public Date getLastWrite()
  {
    return last_write;

  } // end getLastWrite

} // end class ActiveUserImpl
