/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.internals;

import com.silverwrist.venice.core.DataException;
import com.silverwrist.venice.core.CommunityContext;

public interface CommunityBackend
{
  public abstract CommunityContext selfCommunity();

  public abstract int realCommunityID();

  public abstract boolean userHideHiddenConferences();

  public abstract int realCommunityLevel();

  public abstract ConferenceCommunityContext getConferenceDataObject(int confid) throws DataException;

  public abstract boolean userCanCreateSubobjects();

  public abstract String realCommunityAlias();

  public abstract void detachConferenceDataObject(int confid) throws DataException;

  public abstract boolean userCanDeleteSubobjects();

  public abstract CommunityDataBackend getDataBackend() throws DataException;

  public abstract boolean env_testPermission(String symbol);

} // end interface CommunityBackend
