/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.internals;

public final class ReturnConfSeq
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private ConferenceData conf;      // conference being returned
  private short sequence;           // sequence number of conference

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public ReturnConfSeq(ConferenceData conf, short sequence)
  {
    this.conf = conf;
    this.sequence = sequence;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * External operations (usable only inside package)
   *--------------------------------------------------------------------------------
   */

  public final ConferenceData getConference()
  {
    return conf;

  } // end getConference

  public final short getSequence()
  {
    return sequence;

  } // end getSequence

} // end class ReturnConfSeq
