/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.internals;

import java.util.Date;

public final class ReturnTopicInfo
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private int topic_id;               // the topic ID
  private short topic_num;            // the topic number
  private Date create_date;           // the creation date

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public ReturnTopicInfo(int topic_id, short topic_num, Date create_date)
  {
    this.topic_id = topic_id;
    this.topic_num = topic_num;
    this.create_date = create_date;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * External operations
   *--------------------------------------------------------------------------------
   */

  public final int getTopicID()
  {
    return topic_id;

  } // end getTopicID

  public final short getTopicNum()
  {
    return topic_num;

  } // end getTopicNum

  public final Date getCreateDate()
  {
    return create_date;

  } // end getCreateDate

} // end class ReturnTopicInfo
