/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core.internals;

import java.util.List;
import com.silverwrist.venice.core.SecurityInfo;
import com.silverwrist.venice.security.Role;
import com.silverwrist.venice.security.SecurityMonitor;

public class SecurityInfoWrapper implements SecurityInfo
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private SecurityMonitor sm;      // we call through to this

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public SecurityInfoWrapper(SecurityMonitor sm)
  {
    this.sm = sm;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface SecurityInfo
   *--------------------------------------------------------------------------------
   */

  public List getRoleList(String symbol)
  {
    return sm.getRoleList(symbol);

  } // end getRoleList

  public Role getRole(String symbol)
  {
    return sm.getRole(symbol);

  } // end getRole

  public Role getRoleForLevel(int level)
  {
    return sm.getRoleForLevel(level);

  } // end getRoleForLevel

  public Role getDefaultRole(String symbol)
  {
    return sm.getDefaultRole(symbol);

  } // end getDefaultRole

  public String getID()
  {
    return sm.getID();

  } // end getID

} // end class SecurityInfoWrapper
