/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.security;

public interface Audit
{
  // Codes 1-100 - System events
  public static final int PUBLISH_POST = 1;

  // Codes 101-200 - Login/user events
  public static final int LOGIN_OK = 101;
  public static final int LOGIN_FAIL = 102;
  public static final int ACCOUNT_CREATE = 103;
  public static final int VERIFY_OK = 104;
  public static final int VERIFY_FAIL = 105;
  public static final int USER_CONTACT_INFO = 106;
  public static final int RESEND_CONFIRM = 107;
  public static final int PASSWORD_CHANGE = 108;
  public static final int ADMIN_USER_CONTACT_INFO = 109;
  public static final int ADMIN_PASSWORD_CHANGE = 110;
  public static final int ADMIN_ACCOUNT_CHANGE = 111;
  public static final int ADMIN_SET_SECURITY = 112;
  public static final int ADMIN_LOCK_OUT = 113;

  // Codes 201-300 - Community events
  public static final int CREATE_COMMUNITY = 201;
  public static final int SET_MEMBERSHIP = 202;
  public static final int COMMUNITY_CONTACT_INFO = 203;
  public static final int COMMUNITY_FEATURE_SET = 204;
  public static final int COMMUNITY_NAME = 205;
  public static final int COMMUNITY_ALIAS = 206;
  public static final int COMMUNITY_CATEGORY = 207;
  public static final int COMMUNITY_HIDE_INFO = 208;
  public static final int COMMUNITY_MEMBERS_ONLY = 209;
  public static final int COMMUNITY_JOIN_KEY = 210;
  public static final int COMMUNITY_SECURITY = 211;
  public static final int DELETE_COMMUNITY = 212;

  // Codes 301-400 - Conference events
  public static final int CREATE_CONF = 301;
  public static final int CONF_SECURITY = 302;
  public static final int CONF_NAME = 303;
  public static final int CONF_ALIAS = 304;
  public static final int CONF_MEMBERSHIP = 305;
  public static final int CREATE_TOPIC = 306;
  public static final int DELETE_TOPIC = 307;
  public static final int TOPIC_FREEZE = 308;
  public static final int TOPIC_ARCHIVE = 309;
  public static final int POST_MESSAGE = 310;
  public static final int HIDE_MESSAGE = 311;
  public static final int SCRIBBLE_MESSAGE = 312;
  public static final int NUKE_MESSAGE = 313;
  public static final int UPLOAD_ATTACHMENT = 314;
  public static final int DELETE_CONF = 315;

} // end interface Audit
