/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.security;

import java.util.List;
import com.silverwrist.venice.core.AccessError;

public interface SecurityMonitor
{
  public abstract boolean testPermission(String symbol, int level, String errormsg) throws AccessError;

  public abstract boolean testPermission(String symbol, int level);

  public abstract boolean permissionDefined(String symbol, boolean no_follow);

  public abstract List getRoleList(String symbol);

  public abstract Role getRole(String symbol);

  public abstract Role getRoleForLevel(int level);

  public abstract Role getDefaultRole(String symbol);

  public abstract ScopeInfo getScopeInfo();

  public abstract String getID();

} // end interface SecurityMonitor
