/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets;

import java.io.IOException;
import java.io.InputStream;
import com.silverwrist.venice.servlets.format.RenderData;

public class SendFileResult extends ExecuteResult
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String type;
  private String filename;
  private int length;
  private InputStream data;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public SendFileResult(String type, String filename, int length, InputStream data)
  {
    this.type = type;
    this.filename = filename;
    this.length = length;
    this.data = data;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class ExecuteResult
   *--------------------------------------------------------------------------------
   */

  public void execute(RenderData rdat) throws IOException
  {
    rdat.sendBinaryData(type,filename,length,data);

  } // end execute

} // end class SendFileResult
