/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import com.silverwrist.venice.core.IDUtils;
import com.silverwrist.venice.ValidationException;

public class CDEmailAddressFormField extends CDTextFormField
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  public CDEmailAddressFormField(String name, String caption, String caption2, boolean required,
				 int size, int maxlength)
  {
    super(name,caption,caption2,required,size,maxlength);

  } // end constructor

  protected CDEmailAddressFormField(CDEmailAddressFormField other)
  {
    super(other);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Overrides from class CDTextFormField
   *--------------------------------------------------------------------------------
   */

  protected void validateContents(String value) throws ValidationException
  {
    super.validateContents(value);
    if (!IDUtils.isValidEmailAddress(value))
      throw new ValidationException("The value of '" + getCaption() + "' must be a correct Internet address.");
    
  } // end validateContents

  /*--------------------------------------------------------------------------------
   * Implementations from interface CDFormField
   *--------------------------------------------------------------------------------
   */

  public Object clone()
  {
    return new CDEmailAddressFormField(this);

  } // end clone

} // end class CDEmailAddressFormField
