/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import com.silverwrist.venice.ValidationException;

public interface CDFormField extends ComponentRender
{
  public abstract String getName();

  public abstract String getValue();

  public abstract void setValue(String value);

  public abstract Object getObjValue();

  public abstract void setObjValue(Object obj);

  public abstract boolean isRequired();

  public abstract void validate() throws ValidationException;

  public abstract CDCommandButton findButton(String name);

  public abstract boolean isEnabled();

  public abstract void setEnabled(boolean flag);

  public abstract CDFormField duplicate();

} // end interface CDFormField
