<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.net.URLEncoder" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  BaseJSPData basedat = BaseJSPData.retrieve(request);
  Variables.failIfNull(basedat);
  UserContext user = Variables.getUserContext(application,request,session);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  String header_font = rdat.getStdFontTag(ColorSelectors.TITLE_FOREGROUND,3);
  String header_link_hilite = rdat.getStdFontTag(ColorSelectors.TITLE_LINK,3);
  String stdfont = rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2);
  String leftfont = rdat.getStdFontTag(ColorSelectors.LEFT_FOREGROUND,2);
  String smallfont = rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,1);
  String partial_tgt, foo;
%>
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<HTML>
<HEAD>
  <%= rdat.getTitleTag(basedat.getTitle(rdat)) %>
  <%= rdat.getStdBaseFontTag(3) %>
  <% if (rdat.useStyleSheet()) { %>
    <LINK REL="stylesheet" HREF="<%= rdat.getEncodedServletPath("stylesheet") %>" TYPE="text/css">
  <% } // end if %>
  <% if (rdat.noSmartTags()) { %>
    <META NAME="MSSmartTagsPreventParsing" CONTENT="TRUE">
  <% } // end if %>
</HEAD>

<BODY BGCOLOR="<%= rdat.getStdColor(ColorSelectors.FRAME_BACKGROUND) %>">
  <% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE HEADER --><% } %>
  <TABLE CLASS="tbar" BORDER=0 BGCOLOR="<%= rdat.getStdColor(ColorSelectors.TITLE_BACKGROUND) %>" WIDTH="100%"
	 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT WIDTH=20% CELLPADDING=2 CLASS="tbar">
        <% if (rdat.useHTMLComments()) { %><!-- Site logo --><% } %>
        <%= rdat.getSiteImageTag(2,2) %>
      </TD>

      <TD ALIGN=CENTER WIDTH=30% CELLPADDING=2 CLASS="tbar"><%= header_font %><B>
        <% if (rdat.useHTMLComments()) { %><!-- Links to Front Page, Help, Find --><% } %>
	<A CLASS="tbar" HREF="<%= rdat.getEncodedServletPath("top") %>"><%= header_link_hilite %>Front Page</FONT></A><P>
	<A CLASS="tbar" HREF="/TODO"><%= header_link_hilite %>Help</FONT></A>&nbsp;|&nbsp;
	<A CLASS="tbar" HREF="<%= rdat.getEncodedServletPath("find") %>"><%= header_link_hilite %>Find</FONT></A>
      </B></FONT></TD>

      <TD ALIGN=RIGHT WIDTH=50% CELLPADDING=2 CLASS="tbar">
	<% if (rdat.useHTMLComments()) { %><!-- Banner Ad --><% } %>
        <% basedat.renderBannerAd(out,rdat); %>
      </TD>
    </TR>

    <% if (rdat.useHTMLComments()) { %><!-- Login reminders --><% } %>
    <TR VALIGN=MIDDLE><TD ALIGN=CENTER COLSPAN=3 CLASS="tbar"><%= header_font %>
      <% if (user.isLoggedIn()) { %>
        You are logged in as <B><%= StringUtil.encodeHTML(user.getUserName()) %></B>
        <% if (basedat.displayLoginLinks()) { %>
          <%
            partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd=";
            foo = rdat.getEncodedServletPath(partial_tgt + "L");
          %>
          &nbsp;-&nbsp;<A CLASS="tbar" HREF="<%= foo %>"><%= header_link_hilite %>Log Out</FONT></A>
          <% foo = rdat.getEncodedServletPath(partial_tgt + "P"); %>
          &nbsp;|&nbsp;<A CLASS="tbar" HREF="<%= foo %>"><%= header_link_hilite %>Profile</FONT></A>
        <% } // end if %>
      <% } else { %>
        You are not logged in
        <% if (basedat.displayLoginLinks()) { %>
          <%
            partial_tgt = "account?tgt=" + URLEncoder.encode(basedat.getLocation()) + "&cmd=";
            foo = rdat.getEncodedServletPath(partial_tgt + "L");
          %>
          &nbsp;-&nbsp;<A CLASS="tbar" HREF="<%= foo %>"><%= header_link_hilite %>Log In</FONT></A>
          <% foo = rdat.getEncodedServletPath(partial_tgt + "C"); %>
          &nbsp;|&nbsp;<A CLASS="tbar" HREF="<%= foo %>"><%= header_link_hilite %>Create Account</FONT></A>
        <% } // end if %>
      <% } // end if %>
    </FONT></TD></TR>

  </TABLE>
  <% if (rdat.useHTMLComments()) { %><!-- END PAGE HEADER --><% } %>

  <TABLE BORDER=0 WIDTH="100%" CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 CLASS="lbar" BGCOLOR="<%= rdat.getStdColor(ColorSelectors.LEFT_BACKGROUND) %>">
        <TABLE ALIGN=LEFT WIDTH=120 CELLPADDING=0 CELLSPACING=0>
          <% if (rdat.useHTMLComments()) { %><!-- BEGIN LEFT SIDEBAR --><% } %>
	  <TR VALIGN=TOP><TD VALIGN=LEFT CLASS="lbar"><%= leftfont %>
	    <% if (rdat.useHTMLComments()) { %><!-- variable menu --><% } %>
            <% basedat.renderMenu(session,out,rdat); %>
          </FONT></TD></TR>

          <TR VALIGN=TOP><TD VALIGN=LEFT>&nbsp;</TD></TR>
          <TR VALIGN=TOP><TD VALIGN=LEFT CLASS="lbar"><%= leftfont %>
	    <% if (rdat.useHTMLComments()) { %><!-- fixed menu --><% } %>
	    <% basedat.renderFixedMenu(out,rdat); %>
          </FONT></TD></TR>

	  <% if (rdat.useHTMLComments()) { %><!-- END LEFT SIDEBAR --><% } %>

        </TABLE>
      </TD>

      <TD ALIGN=LEFT WIDTH="100%" CLASS="content"
          BGCOLOR="<%= rdat.getStdColor(ColorSelectors.CONTENT_BACKGROUND) %>">
	<% if (rdat.useHTMLComments()) { %><!-- BEGIN PAGE CONTENT --><% } %>
        <% basedat.renderContent(application,out,rdat); %>
  	<% if (rdat.useHTMLComments()) { %><!-- END PAGE CONTENT --><% } %>
      </TD>
    </TR>

    <TR VALIGN=TOP>
      <TD ALIGN=LEFT WIDTH=120 CLASS="lbar"
          BGCOLOR="<%= rdat.getStdColor(ColorSelectors.LEFT_BACKGROUND) %>">&nbsp;</TD>
      <TD ALIGN=LEFT WIDTH="100%" CLASS="footer"
	  BGCOLOR="<%= rdat.getStdColor(ColorSelectors.CONTENT_BACKGROUND) %>">
        <% if (rdat.useHTMLComments()) { %><!-- PAGE FOOTER --><% } %>
	<HR WIDTH="80%">
	<% String qid = basedat.getPageQID(); %>
        <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=6>
          <TR VALIGN=TOP>
            <TD ALIGN=RIGHT CLASS="footer">
              <%= smallfont %><%= rdat.getStockMessage("footer-text") %></FONT>
            </TD>
            <TD <% if (qid!=null) { %>ROWSPAN=2<% } %> ALIGN=LEFT CLASS="footer">
	      <A HREF="http://venice.sourceforge.net" TARGET="_blank"><IMG
                 SRC="<%= rdat.getFullImagePath("powered-by-venice.gif") %>" ALT="Powered by Venice"
	         WIDTH=<%= rdat.scaleFooterLogo(129) %> HEIGHT=<%= rdat.scaleFooterLogo(103) %> BORDER=0
	         HSPACE=0 VSPACE=0></A>
            </TD>
          </TR>
	  <% if (qid!=null) { %>
	    <TR VALIGN=TOP><TD ALIGN=RIGHT CLASS="footer">
	      <% if (rdat.useHTMLComments()) { %><!-- HITCOUNTER FOR QID "<%= qid %>" --><% } %>
	      <%-- Reserved for future use --%>
            </TD></TR>
	  <% } // end if %>
        </TABLE> 
      </TD>
    </TR>

  </TABLE>

</BODY>
</HTML>
