<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  CommunityMembership data = CommunityMembership.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% rdat.writeContentHeader(out,"Set Community Membership:",data.getCommunityName()); %>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("sigadmin?sig=" + data.getCommunityID()) %>">Return to Community
  Administration Menu</A>
</FONT><P>

<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,3) %><B>Find Users:</B></FONT><P>
<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("sigadmin") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="M">
  <INPUT TYPE="HIDDEN" NAME="ofs" VALUE="0">
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
    Display all users whose&nbsp;&nbsp;
    <SELECT NAME="field" SIZE=1>
      <OPTION VALUE="<%= SearchMode.FIELD_USER_NAME %>"
      <% if (data.searchFieldIs(SearchMode.FIELD_USER_NAME)) { %>SELECTED<% } %> >user name</OPTION>
      <OPTION VALUE="<%= SearchMode.FIELD_USER_DESCRIPTION %>"
      <% if (data.searchFieldIs(SearchMode.FIELD_USER_DESCRIPTION)) { %>SELECTED<% } %> >description</OPTION>
      <OPTION VALUE="<%= SearchMode.FIELD_USER_GIVEN_NAME %>"
      <% if (data.searchFieldIs(SearchMode.FIELD_USER_GIVEN_NAME)) { %>SELECTED<% } %> >first name</OPTION>
      <OPTION VALUE="<%= SearchMode.FIELD_USER_FAMILY_NAME %>"
      <% if (data.searchFieldIs(SearchMode.FIELD_USER_FAMILY_NAME)) { %>SELECTED<% } %> >last name</OPTION>
    </SELECT><BR>

    <SELECT NAME="mode" SIZE=1>
      <OPTION VALUE="<%= SearchMode.SEARCH_PREFIX %>"
      <% if (data.searchModeIs(SearchMode.SEARCH_PREFIX)) { %>SELECTED<% } %> >starts with the string</OPTION>
      <OPTION VALUE="<%= SearchMode.SEARCH_SUBSTRING %>"
      <% if (data.searchModeIs(SearchMode.SEARCH_SUBSTRING)) { %>SELECTED<% } %> >contains the string</OPTION>
      <OPTION VALUE="<%= SearchMode.SEARCH_REGEXP %>"
      <% if (data.searchModeIs(SearchMode.SEARCH_REGEXP)) { %>SELECTED<% } %> >matches the regular
      expression</OPTION>
    </SELECT>
    <SPAN CLASS="cinput"><INPUT TYPE=TEXT CLASS="cinput" NAME="term" SIZE=32 MAXLENGTH=255
                                VALUE="<%= data.getSearchTerm() %>"></SPAN><BR>
    <INPUT TYPE=IMAGE NAME="search" SRC="<%= rdat.getFullImagePath("bn_search.gif") %>"
           ALT="Search" WIDTH=80 HEIGHT=24 BORDER=0><BR>
  </FONT>
</DIV></FORM>

<% if (data.displayList()) { %>
  <% int dcount = data.getSize(); %>
  <HR>
  <% if (data.isCommunityMemberList()) { %>
    <%-- The community list header --%>
    <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,3) %><B>
      Members of community "<%= StringUtil.encodeHTML(data.getCommunityName()) %>":
    </B></FONT><BR>
  <% } else { %>
    <%
      // Determine the number of results to display and whether to display a "next" button
      boolean go_next = false;
      if (dcount>data.getNumResultsDisplayed())
      { // there's a "next"
        dcount = data.getNumResultsDisplayed();
        go_next = true;

      } // end if
    %>
    <TABLE WIDTH="100%" BORDER=0 ALIGN=CENTER><TR VALIGN=MIDDLE>
      <TD WIDTH="50%" ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        <%-- The search results header --%>
        <FONT SIZE=+1><B>Search Results:</B></FONT>
        <% if (data.getFindCount()>0) { %>
          (Displaying <%= data.getOffset() + 1 %>-<%= data.getOffset() + dcount %> of
          <%= data.getFindCount() %>)
        <% } else { %>(None)<% } %>
      </FONT></TD>
      <TD WIDTH="50%" ALIGN=RIGHT CLASS="content">
      <% if (go_next || (data.getOffset()>0)) { %>
        <%-- The navigational form that allows us to page through the results --%>
        <% if (rdat.useHTMLComments()) { %><!-- Navigational Form --><% } %>
        <FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("sigadmin") %>"><DIV CLASS="content">
          <INPUT TYPE=HIDDEN NAME="sig" VALUE="<%= data.getCommunityID() %>">
          <INPUT TYPE=HIDDEN NAME="cmd" VALUE="M">
          <INPUT TYPE=HIDDEN NAME="ofs" VALUE="<%= data.getOffset() %>">
          <INPUT TYPE=HIDDEN NAME="field" VALUE="<%= data.getSearchField() %>">
          <INPUT TYPE=HIDDEN NAME="mode" VALUE="<%= data.getSearchMode() %>">
          <INPUT TYPE=HIDDEN NAME="term" VALUE="<%= data.getSearchTerm() %>">
          <INPUT TYPE=HIDDEN NAME="fcount" VALUE="<%= data.getFindCount() %>">
          <% if (data.getOffset()>0) { %>
            <INPUT TYPE=IMAGE NAME="previous" SRC="<%= rdat.getFullImagePath("bn_ar_previous.gif") %>"
                   ALT="Previous" WIDTH=80 HEIGHT=24 BORDER=0>
          <% } else { %>
            <IMG SRC="<%= rdat.getFullImagePath("bn_transparent.gif") %>" WIDTH=80 HEIGHT=24 BORDER=0>
          <% } // end if %>
          &nbsp;
          <% if (go_next) { %>
            <INPUT TYPE=IMAGE NAME="next" SRC="<%= rdat.getFullImagePath("bn_ar_next.gif") %>"
                   ALT="Next" WIDTH=80 HEIGHT=24 BORDER=0>
          <% } else { %>
            <IMG SRC="<%= rdat.getFullImagePath("bn_transparent.gif") %>" WIDTH=80 HEIGHT=24 BORDER=0>
          <% } // end if %>

        </DIV></FORM>
      <% } else { %>&nbsp;<% } %>
      </TD>
    </TR></TABLE><BR>
  <% } // end if %>

  <%-- Display the results of the search --%>
  <FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("sigadmin") %>"><DIV CLASS="content">
    <INPUT TYPE=HIDDEN NAME="sig" VALUE="<%= data.getCommunityID() %>">
    <INPUT TYPE=HIDDEN NAME="cmd" VALUE="M">
    <TABLE BORDER=0 ALIGN=LEFT CELLPADDING=0 CELLSPACING=4>
      <% for (int i=0; i<dcount; i++) { %>
        <% UserFound uf = data.getItem(i); %>
        <TR VALIGN=MIDDLE>
          <TD ALIGN=CENTER WIDTH=14>
            <IMG SRC="<%= rdat.getFullImagePath("purple-ball.gif") %>" ALT="*" WIDTH=14 HEIGHT=14 BORDER=0>
          </TD>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <A HREF="<%= rdat.getEncodedServletPath("user/" + uf.getName()) %>"><%= uf.getName() %></A>
          </FONT></TD>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <% data.outputDropDown(out,uf.getUID(),uf.getLevel()); %>
          </FONT></TD>
        </TR>
      <% } // end for %>
    </TABLE><BR CLEAR=LEFT>
    <INPUT TYPE=IMAGE SRC="<%= rdat.getFullImagePath("bn_update.gif") %>" NAME="update" ALT="Update"
           WIDTH=80 HEIGHT=24 BORDER=0>
  </DIV></FORM><BR>
<% } // end if %>
