<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  CommunityProfileData data = CommunityProfileData.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  CommunityContext comm = data.getCommunityContext();
  ContactInfo ci = data.getCommunityContactInfo();
  CategoryDescriptor cat = data.getCategory();
  String tmp;
%>
<% if (rdat.useHTMLComments()) { %><!-- Profile for community #<%= comm.getCommunityID() %> --><% } %>
<% rdat.writeContentHeader(out,"Community Profile:",comm.getName()); %>
<TABLE BORDER=0 CELLPADDING=6 CELLSPACING=0><TR VALIGN=TOP>
  <TD ALIGN=LEFT CLASS="c2"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,1) %>
    <IMG SRC="<%= data.getCommunityLogoURL(rdat)%>" ALIGN=LEFT WIDTH=110 HEIGHT=65 BORDER=0><BR CLEAR=LEFT><BR>
    
    <% Date tmpd = comm.getCreationDate(); %>
    <% if (tmpd!=null) { %>
      Community created:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
    <% } // end if %>
    <% tmpd = comm.getLastAccessDate(); %>
    <% if (tmpd!=null) { %>
      Last accessed:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
    <% } // end if %>
    <% tmpd = comm.getLastUpdateDate(); %>
    <% if (tmpd!=null) { %>
      Profile last updated:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
    <% } // end if %>

    <% if (data.isUserLoggedIn()) { %>
      <DIV ALIGN="CENTER">
        <%-- EJB 4/4/2001 - reverse these tests, put canJoin FIRST --%>
        <% if (comm.canJoin()) { %>
          <A HREF="<%= rdat.getEncodedServletPath("sigops?cmd=J&sig=" + comm.getCommunityID()) %>"><IMG
           SRC="<%= rdat.getFullImagePath("bn_join_now.gif") %>" ALT="Join Now"
           WIDTH=80 HEIGHT=24 BORDER=0></A>
        <% } else if (comm.canSendInvitation()) { %>
          <A HREF="<%= rdat.getEncodedServletPath("sigops?cmd=I&sig=" + comm.getCommunityID()) %>"><IMG
             SRC="<%= rdat.getFullImagePath("bn_invite.gif") %>" ALT="Invite" WIDTH=80 HEIGHT=24 BORDER=0></A>
        <% } // end if %>
      </DIV>
    <% } // end if (user is logged in) %>

  </FONT></TD>

  <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
    <B><U><% if (comm.isPublicCommunity()) { %>Public<% } else { %>Private<% } %> Community</U></B><BR>
    <B>Category:</B>
    <% for (int i=0; i<cat.getNumLevels(); i++) { %>
      <% if (i>0) { %>: <% } %>
      <A HREF="<%= FindData.getCatJumpLink(rdat,cat.getIDAtLevel(i)) %>"><%= StringUtil.encodeHTML(cat.getTitleAtLevel(i)) %></A>
    <% } // end for %><P>
    <EM><%= StringUtil.encodeHTML(comm.getSynopsis()) %></EM><P>

    <% tmp = data.getHostUserName(); %>
    <B>Host:</B> <A HREF="<%= rdat.getEncodedServletPath("user/" + tmp) %>"><%= tmp %></A><BR>

    <B>Location:</B><BR>
    <% tmp = ci.getCompany(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = ci.getAddressLine1(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = ci.getAddressLine2(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = data.getAddressLastLine(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = data.getFullCountry(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <BR>

    <% tmp = comm.getLanguageFullName(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><B>Primary Language:</B> <%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = comm.getRules(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><B>Standards of Conduct:</B> <%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    <% tmp = ci.getURL(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      <B>Homepage:</B> <A HREF="<%= tmp %>" TARGET="Wander"><%= StringUtil.encodeHTML(tmp) %></A><BR>
    <% } %>

  </FONT></TD>
</TR></TABLE>
