<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ConferenceActivity data = ConferenceActivity.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<%
  if (data.isTopicReport())
    rdat.writeContentHeader(out,(data.isPosterReport() ? "Posters in Topic:"
                                                       : "Readers in Topic:"),
                            data.getTopicName() + " in " + data.getConfName());
  else
    rdat.writeContentHeader(out,(data.isPosterReport() ? "Posters in Conference:"
                                                       : "Readers in Conference:"),data.getConfName());
%>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=QR") %>">Return to
      Conference Reports Menu</A>
</FONT><P>

<% if (data.anyElements()) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=6>
    <TR VALIGN=TOP>
      <TH ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        <B><U>User Name</U></B>
      </FONT></TH>
      <% if (data.isPosterReport()) { %>
        <TH ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <B><U>Last Posted</U></B>
        </FONT></TH>
        <TH ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <B><U>Last Read</U></B>
        </FONT></TH>
      <% } else { %>
        <TH ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <B><U>Last Read</U></B>
        </FONT></TH>
        <TH ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <B><U>Last Posted</U></B>
        </FONT></TH>
      <% } // end if %>
    </TR>
    <% Iterator it = data.getRecordsIterator(); %>
    <% while (it.hasNext()) { %>
      <% ActiveUser usr = (ActiveUser)(it.next()); %>
      <TR VALIGN=TOP>
        <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <A HREF="<%= rdat.getEncodedServletPath("user/" + usr.getName()) %>" TARGET="_blank"><%= usr.getName() %></A>
        </FONT></TD>
        <% if (data.isPosterReport()) { %>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <%= StringUtil.encodeHTML(rdat.formatDateForDisplay(usr.getLastWrite())) %>
          </FONT></TD>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <% if (usr.getLastRead()==null) { %>
              Never
            <% } else { %>
              <%= StringUtil.encodeHTML(rdat.formatDateForDisplay(usr.getLastRead())) %>
            <% } // end if %>
          </FONT></TD>
        <% } else { %>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <%= StringUtil.encodeHTML(rdat.formatDateForDisplay(usr.getLastRead())) %>
          </FONT></TD>
          <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
            <% if (usr.getLastWrite()==null) { %>
              Never
            <% } else { %>
              <%= StringUtil.encodeHTML(rdat.formatDateForDisplay(usr.getLastWrite())) %>
            <% } // end if %>
          </FONT></TD>
        <% } // end if %>
      </TR>
    <% } // end while %>
  </TABLE>
<% } else { %>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><EM>
    <% if (data.isTopicReport()) { %>
      <% if (data.isPosterReport()) { %>
        No posters to topic "<%= data.getTopicName() %>" found.
      <% } else { %>
        No readers of topic "<%= data.getTopicName() %>" found.
      <% } // end if %>
    <% } else { %>
      <% if (data.isPosterReport()) { %>
        No posters to conference "<%= StringUtil.encodeHTML(data.getConfName()) %>" found.
      <% } else { %>
        No readers of conference "<%= StringUtil.encodeHTML(data.getConfName()) %>" found.
      <% } // end if %>
    <% } // end if %>
  </EM></FONT>
<% } // end if %>
