<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ConferenceListing data = ConferenceListing.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Conference list for community #<%= data.getCommunityID() %> --><% } %>
<% rdat.writeContentHeader(out,"Conference List:",data.getCommunityName()); %>
<% if (data.getNumConferences()>0) { %>
  <TABLE BORDER=0 ALIGN=LEFT>
    <% for (int i=0; i<data.getNumConferences(); i++) { %>
      <TR VALIGN=TOP>
        <TD ALIGN=CENTER WIDTH=14>
          <IMG SRC="<%= rdat.getFullImagePath("purple-ball.gif") %>" ALT="*" WIDTH=14 HEIGHT=14 BORDER=0>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <% String path = "confdisp?sig=" + data.getCommunityID() + "&conf=" + data.getConferenceID(i); %>
          <A HREF="<%= rdat.getEncodedServletPath(path) %>"><%= StringUtil.encodeHTML(data.getConferenceName(i)) %></A> -
          Latest activity: <%= rdat.getActivityString(data.getLastUpdateDate(i)) %>
          <% if (data.anyUnread(i)) { %>
            <A HREF="<%= rdat.getEncodedServletPath(path + "&rnm=1") %>"><IMG
             SRC="<%= rdat.getFullImagePath("tag_new.gif") %>" ALT="New!" BORDER=0 WIDTH=40 HEIGHT=20></A>
          <% } // end if %>
          <BR>
          <% int count = data.getNumHosts(i); %>
          <% if (count>0) { %>
            <% if (count>1) { %>Hosts<% } else { %>Host<% } %>:
            <% for (int j=0; j<count; j++) { %>
              <A HREF="<%= rdat.getEncodedServletPath("user/" + data.getHostName(i,j)) %>"><%= data.getHostName(i,j) %></A><% if (j<(count-1)) { %>,<% } %>
            <% } // end for (each hostname) %>
          <% } else { %>
            Hosts: <EM>(none)</EM>
          <% } // end if (hosts present in the conference) %><BR>	
          <EM><%= StringUtil.encodeHTML(data.getDescription(i)) %></EM>
        </FONT></TD>
      </TR>
    <% } // end for (each conference) %>
  </TABLE><BR CLEAR=LEFT>
<% } else { %>
  <EM>No conferences found in this community.</EM><BR>
<% } // end if (conferences present) %>
<P>
<DIV ALIGN="LEFT" CLASS="content">
  <% if (data.canManageConferences()) { %>
    <A HREF="<%= rdat.getEncodedServletPath("confops?cmd=S&sig=" + data.getCommunityID()) %>"><IMG
     SRC="<%= rdat.getFullImagePath("bn_manage.gif") %>" ALT="Manage" WIDTH=80 HEIGHT=24
     BORDER=0></A>&nbsp;
  <% } // end if %>
  <% if (data.canCreateConference()) { %>
    <A HREF="<%= rdat.getEncodedServletPath("confops?cmd=C&sig=" + data.getCommunityID()) %>"><IMG
     SRC="<%= rdat.getFullImagePath("bn_create_new.gif") %>" ALT="Create New" WIDTH=80 HEIGHT=24
     BORDER=0></A>&nbsp;
  <% } // end if %>
</DIV>
