<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  Hotlist data = Hotlist.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  String stdfont = rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2);
%>
<% if (rdat.useHTMLComments()) { %><!-- User conference hotlist --><% } %>
<% rdat.writeContentHeader(out,"Your Conference Hotlist",null); %>
<%= stdfont %><A HREF="<%= rdat.getEncodedServletPath("top") %>">Return to Front Page</A></FONT><P>
<% if (data.getHotlistSize()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=3>
    <% for (int i=0; i<data.getHotlistSize(); i++) { %>
      <%
        ConferenceContext conf = data.getConference(i);
        String partial = "settings?sig=" + conf.getEnclosingCommunity().getCommunityID() + "&conf="
                       + conf.getConfID();
      %>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==(data.getHotlistSize()-1)) { %>&nbsp;<% } else { %>
            <A HREF="<%= rdat.getEncodedServletPath(partial + "&cmd=HD") %>"><IMG
             SRC="<%= rdat.getFullImagePath("icn_down.gif") %>" ALT="[Down]" BORDER=0 WIDTH=16
             HEIGHT=16></A>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==0) { %>&nbsp;<% } else { %>
            <A HREF="<%= rdat.getEncodedServletPath(partial + "&cmd=HU") %>"><IMG
             SRC="<%= rdat.getFullImagePath("icn_up.gif") %>" ALT="[Up]" BORDER=0 WIDTH=16
             HEIGHT=16></A>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <A HREF="<%= rdat.getEncodedServletPath(partial + "&cmd=HX") %>"><IMG
           SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="[Remove]" BORDER=0 WIDTH=16
           HEIGHT=16></A>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
          <B><%= StringUtil.encodeHTML(conf.getName()) %></B>
          (<%= StringUtil.encodeHTML(conf.getEnclosingCommunity().getName()) %>)
        </FONT></TD>
      </TR>
    <% } // end for %>
  </TABLE><P>
  <TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <IMG SRC="<%= rdat.getFullImagePath("icn_down.gif") %>" ALT="[Down]" BORDER=0 WIDTH=16 HEIGHT=16>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
        Click this symbol to move the specified conference down in your hotlist.
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <IMG SRC="<%= rdat.getFullImagePath("icn_up.gif") %>" ALT="[Up]" BORDER=0 WIDTH=16 HEIGHT=16>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
        Click this symbol to move the specified conference up in your hotlist.
      </FONT></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <IMG SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="[Remove]" BORDER=0 WIDTH=16 HEIGHT=16>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
        Click this symbol to remove the specified conference from your hotlist.
      </FONT></TD>
    </TR>
  </TABLE>
<% } else { %>
  <%= stdfont %><EM>
    You have no conferences in your conference hotlist.  You can add conferences to your hotlist
    by visiting the conferences and pressing the "Add to Hotlist" button.
  </EM></FONT>
<% } // end if %>
