<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "java.net.URLEncoder" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ManageConferenceAliases data = ManageConferenceAliases.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Managing aliases for conference #<%= data.getConfID() %> --><% } %>
<% rdat.writeContentHeader(out,"Managing Conference Aliases:",data.getConfName()); %>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=Q") %>">Return to
      Manage Conference Menu</A><P>

  <% if (data.getErrorMessage()!=null) { %>
    <%= rdat.getStdFontTag(ColorSelectors.CONTENT_ERROR,2) %><B><%= StringUtil.encodeHTML(data.getErrorMessage()) %></B></FONT><P>
  <% } // end if %>

  <FONT SIZE=+1><B>Current Aliases:</B></FONT><P>
  <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=3>
    <% Iterator it = data.getAliasIterator(); %>
    <% while (it.hasNext()) { %>
      <% String name = (String)(it.next()); %>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=CENTER><IMG SRC="<%= rdat.getFullImagePath("purple-ball.gif") %>" ALT="*"
                          WIDTH=14 HEIGHT=14 BORDER=0></TD>
        <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <%= StringUtil.encodeHTML(name) %>
        </FONT></TD>
        <TD ALIGN=LEFT>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
        <TD ALIGN=LEFT CLASS="content">
          <% if (data.canRemoveAliases()) { %>
            <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=A&rem="
                     + URLEncoder.encode(name)) %>"><IMG SRC="<%= rdat.getFullImagePath("bn_remove.gif") %>"
                       ALT="Remove" WIDTH=80 HEIGHT=24 BORDER=0></A>
          <% } else { %>&nbsp;<% } %>
        </TD>
      </TR>
    <% } // end while %>
  </TABLE><P>

  <FONT SIZE=+1><B>Add New Alias:</B></FONT><P>
  <FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("confops") %>"><DIV CLASS="content">
    <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
    <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConfID() %>">
    <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="A">
    <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="alias" SIZE=32 MAXLENGTH=64
                                VALUE=""></SPAN>&nbsp;
    <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_add.gif") %>" NAME="add" ALT="Add"
     WIDTH=80 HEIGHT=24 BORDER=0>
  </DIV></FORM>

</FONT>
