<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  NewTopicForm data = NewTopicForm.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Topic list for conf #<%= data.getConfID() %> --><% } %>
<% rdat.writeContentHeader(out,data.isPreview() ? "Preview New Topic" : "Create New Topic",
                           "in: " + data.getConfName()); %>
<% if (data.isPreview()) { %>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,3) %><B>
    <% if (data.getNumSpellingErrors()==0) { %>
      Your post did not contain any spelling errors.
    <% } else if (data.getNumSpellingErrors()==1) { %>
      There was 1 spelling error in your post.
    <% } else { %>
      There were <%= data.getNumSpellingErrors() %> spelling errors in your post.
    <% } // end if %>
  </B></FONT>
  <P><PRE><%= rdat.rewritePostData(data.getPreviewData()) %></PRE><HR>
<% } // end if %>

<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("confops") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConfID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="T">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>New topic name:</FONT><BR>
      <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="title" SIZE=37 MAXLENGTH=128
                                  VALUE="<%= data.getTopicName() %>"></SPAN>
    </TD></TR>
    <TR><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Your name/header:</FONT><BR>
      <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="pseud" SIZE=37 MAXLENGTH=255
                                  VALUE="<%= data.getPseud() %>"></SPAN>
      <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><INPUT TYPE="CHECKBOX" NAME="attach"
       VALUE="Y" <% if (data.getAttachCheck()) { %>CHECKED<% } %> > Attach a file</FONT>
    </TD></TR>
    <TR>
      <TD ALIGN=LEFT CLASS="content">
        <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Message:</FONT>
      </TD>
      <TD ALIGN=RIGHT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        <A HREF="<%= rdat.getStaticFilePath("html-reference.html") %>" TARGET="_blank">HTML Guide</A>
      </FONT></TD>
    </TR>
    <TR><TD ALIGN=LEFT COLSPAN=2 CLASS="cinput">
      <TEXTAREA NAME="pb" WRAP=SOFT ROWS=7 COLS=51><%= data.getPostBoxData() %></TEXTAREA>
    </TD></TR>
    <TR><TD ALIGN=CENTER COLSPAN=2 CLASS="content">
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_preview.gif") %>" ALT="Preview" NAME="preview"
       WIDTH=80 HEIGHT=24 BORDER=0>
      &nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_post.gif") %>" ALT="Post" NAME="post"
       WIDTH=80 HEIGHT=24 BORDER=0>
      &nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" ALT="Cancel" NAME="cancel"
       WIDTH=80 HEIGHT=24 BORDER=0>
    </TD></TR>
  </TABLE>
</DIV></FORM>
