<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  ReportConferenceMenu data = ReportConferenceMenu.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  String stdfont = rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2);
  String partial;
%>
<% if (rdat.useHTMLComments()) { %><!-- Reports for conference #<%= data.getConfID() %> --><% } %>
<% rdat.writeContentHeader(out,"Conference Reports:",data.getConfName()); %>

<%= stdfont %>
  <A HREF="<%= rdat.getEncodedServletPath("confops?" + data.getLocator() + "&cmd=Q") %>">Return to Manage
  Conference Menu</A>
</FONT><P>

<TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=6>
  <TR VALIGN=MIDDLE>
    <TH ALIGN=LEFT CLASS="content"><%= stdfont %><B><U>#</U></B></FONT></TH>
    <TH ALIGN=LEFT CLASS="content"><%= stdfont %><B><U>Topic Name</U></B></FONT></TH>
    <TH ALIGN=LEFT CLASS="content" COLSPAN=2><%= stdfont %><B><U>Reports</U></B></FONT></TH>
  </TR>
  <TR VALIGN=MIDDLE>
    <TD ALIGN=LEFT>&nbsp;</TD>
    <TD ALIGN=LEFT CLASS="content"><%= stdfont %>(Entire conference)</FONT></TD>
    <% partial = "confops?" + data.getLocator() + "&cmd="; %>
    <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
      <A HREF="<%= rdat.getEncodedServletPath(partial + "RP") %>">Posters</A>
    </FONT></TD>
    <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
      <A HREF="<%= rdat.getEncodedServletPath(partial + "RR") %>">Readers/Lurkers</A>
    </FONT></TD>
  </TR>

  <% Iterator it = data.getTopics(); %>
  <% while (it.hasNext()) { %>
    <%
      TopicContext topic = (TopicContext)(it.next());
      partial = "confops?" + data.getLocator() + "&top=" + topic.getTopicNumber() + "&cmd=";
    %>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %><%= topic.getTopicNumber() %></FONT></TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %><%= topic.getName() %></FONT></TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
        <A HREF="<%= rdat.getEncodedServletPath(partial + "RP") %>">Posters</A>
      </FONT></TD>
      <TD ALIGN=LEFT CLASS="content"><%= stdfont %>
        <A HREF="<%= rdat.getEncodedServletPath(partial + "RR") %>">Readers/Lurkers</A>
      </FONT></TD>
    </TR>
  <% } // end while %>
</TABLE><P>
