<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  PostSlippage data = PostSlippage.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- <%= data.getIdentifyingData() %> --><% } %>
<% rdat.writeContentHeader(out,"Slippage or Double-Click Detected",null); %>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  The following posts slipped in while you were typing.  You may choose to edit your message and
  re-post, just post it as is, or cancel your posting altogether.
</FONT><P>

<% if (rdat.useHTMLComments()) { %><!-- Begin Slipped Messages --><% } %>
<% Iterator it = data.getMessageIterator(); %>
<% while (it.hasNext()) { %>
  <%
    TopicMessageContext msg = (TopicMessageContext)(it.next());
    String poster = data.getPosterName(msg);
  %>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
    <B><%= msg.getPostNumber() %></B> of <B><%= data.getTotalMessages() - 1 %></B>
    <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,1) %>&lt;<%= data.getMessageReference(msg) %>&gt;</FONT><BR>
    <B><%= msg.getPseud() %></B>
    (<EM>
      <A HREF="<%= rdat.getEncodedServletPath("user/" + poster) %>" TARGET="_blank"><%= poster %></A>,
      <%= rdat.formatDateForDisplay(msg.getPostDate()) %>
    </EM>)
  </FONT><P>
  <% if (msg.isScribbled()) { %>
    <SPAN CLASS="post"><TT><EM><B>
      (Scribbled by <%= data.getMessageBodyText(msg) %> on
      <%= rdat.formatDateForDisplay(msg.getScribbleDate()) %>)
    </B></EM></TT></SPAN>
  <% } else { %>
    <PRE CLASS="post"><%= rdat.rewritePostData(data.getMessageBodyText(msg)) %></PRE>
  <% } // end if %>
<% } // end while %>
<% if (rdat.useHTMLComments()) { %><!-- End Slipped Messages --><% } %>

<HR><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,3) %><B>Post Message in
&quot;<%= data.getTopicName() %>&quot;:</B></FONT>
<BR>
<FORM METHOD="POST" ACTION="<%= rdat.getEncodedServletPath("post") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<%= data.getConfID() %>">
  <INPUT TYPE="HIDDEN" NAME="top" VALUE="<%= data.getTopicNumber() %>">
  <% if (!(StringUtil.isStringEmpty(data.getNextVal()))) { %>
    <INPUT TYPE="HIDDEN" NAME="next" VALUE="<%= data.getNextVal() %>">
  <% } // end if %>
  <INPUT TYPE="HIDDEN" NAME="sd" VALUE="<%= data.getTotalMessages() %>">
  <INPUT TYPE="HIDDEN" NAME="slip" VALUE="Y">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Your name/header:</FONT><BR>
      <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="pseud" SIZE=37 MAXLENGTH=255
                                  VALUE="<%= data.getPseud() %>"></SPAN>
      <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><INPUT TYPE="CHECKBOX" NAME="attach"
          VALUE="Y" <% if (data.attachChecked()) { %>CHECKED<% } %> > Attach a file</FONT>
    </TD></TR>
    <TR>
      <TD ALIGN=LEFT CLASS="content">
        <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Message:</FONT>
      </TD>
      <TD ALIGN=RIGHT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        <A HREF="<%= rdat.getStaticFilePath("html-reference.html") %>" TARGET="_blank">HTML Guide</A>
      </FONT></TD>
    </TR>
    <TR><TD ALIGN=LEFT COLSPAN=2 CLASS="cinput">
      <TEXTAREA NAME="pb" WRAP=SOFT ROWS=7 COLS=51><%= data.getBodyText() %></TEXTAREA>
    </TD></TR>
    <TR><TD ALIGN=CENTER COLSPAN=2 CLASS="content">
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_preview.gif") %>" ALT="Preview" NAME="preview"
       WIDTH=80 HEIGHT=24 BORDER=0>
      &nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_post_reload.gif") %>" ALT="Post & Reload"
       NAME="post" WIDTH=80 HEIGHT=24 BORDER=0>
      <% if (!(StringUtil.isStringEmpty(data.getNextVal()))) { %>
        &nbsp;
        <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_post_go_next.gif") %>" ALT="Post & Go Next"
         NAME="postnext" WIDTH=80 HEIGHT=24 BORDER=0>
      <% } // end if %>
      &nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_post_go_topics.gif") %>" ALT="Post & Go Topics"
       NAME="posttopics" WIDTH=80 HEIGHT=24 BORDER=0>
      &nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" ALT="Cancel"
       NAME="cancel" WIDTH=80 HEIGHT=24 BORDER=0>
    </TD></TR>
  </TABLE>
</DIV></FORM>